package cn.stylefeng.workflow.instance.modular.task.holder;

import cn.stylefeng.workflow.instance.modular.task.holder.pojo.RecallParam;

public class EventRecallParamHolder {

    private static final ThreadLocal<RecallParam> CONTEXT_HOLDER = new ThreadLocal<>();

    public static void setParam(RecallParam recallParam) {
        CONTEXT_HOLDER.set(recallParam);
    }

    public static RecallParam getParam() {
        return CONTEXT_HOLDER.get();
    }

    public static void clearParam() {
        CONTEXT_HOLDER.remove();
    }

}
